Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | MovieMaker
Name | ### finish()
Examples |
    import processing.video.*;

    MovieMaker mm;  // Declare MovieMaker object

    void setup() {
      size(320, 240);
      // Create MovieMaker object with size, filename,
      // compression codec and quality, framerate
      mm = new MovieMaker(this, width, height, "drawing.mov",
                           30, MovieMaker.H263, MovieMaker.HIGH);
      background(204);
    }

    void draw() {
      ellipse(mouseX, mouseY, 20, 20);
      mm.addFrame();  // Add window's pixels to movie
    }

    void keyPressed() {
      if (key == ' ') {
        mm.finish();  // Finish the movie if space bar is pressed!
      }
    }
Description | Finishes and saves a movie file that is current being created.
Syntax |
    mov.finish()
Parameters |
mov | any variable of type MovieMaker
Usage | Web & Application

Updated on June 14, 2010 12:05:23pm EDT